<?php
namespace Drupal\universal_entity_api\Normalizer;

use Drupal\Core\Entity\EntityInterface;
use Drupal\universal_entity_api\Service\EntitySerializer;

class BlockNormalizer {

  protected $serializer;

  public function __construct(EntitySerializer $serializer) {
    $this->serializer = $serializer;
  }

  public function normalize(array $blocks): array {
    return array_map(function (EntityInterface $block) {
      return $this->serializer->normalize($block);
    }, $blocks);
  }
}
