<?php
namespace Drupal\universal_entity_api\Normalizer;

class TaxonomyNormalizer {
  public function normalize(array $terms): array {
    return array_map(fn($term) => [
      'tid' => $term->id(),
      'name' => $term->label(),
      'vocabulary' => $term->bundle(),
    ], $terms);
  }
}
